Bug 662729 - vgreduce --removemissing --force refactor
vgreduce --removemissing --force refactor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Petr Rockai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-13 12:50 EST by Petr Rockai
Modified: 2011-05-09 15:03 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 15:03:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Rockai 2010-12-13 12:50:17 EST
The current code behind vgreduce --removemissing --force is buggy and is duplicating existing functionality from other parts of LVM. Initially, it should:
- remove any partial, non-mirror LVs (lv_remove_with_dependencies)
- if there are any partial LVs left, error out and tell the user to use lvconvert --repair or similar

I will file a followup bug for mirror LVs.
Comment 1 Petr Rockai 2011-03-20 19:42:59 EDT
Patches are awaiting review (covering both mirror and non-mirror LVs).
Comment 2 Petr Rockai 2011-05-09 15:03:53 EDT
Checked in upstream.

Note You need to log in before you can comment on or make changes to this bug.